/*
 * KernelConf - A Linux Kernel Configuration System
 *
 * Distributed under GNU General Public Lisence
 *
 * Copyright (C) 2002 by Anuradha Ratnaweera
 */

#include <stdio.h>
#include <malloc.h>
#include <string.h>

#include "help.h"

IdPtr id_tree_root = NULL;
IdPtr first_symbol = NULL;
IdPtr root_menu = NULL;

long read_help(IdPtr id, char **buffer)
{
    FILE *config_file;
    int bufsize, offset;

    if (id->desc_start < 0)
	return -1;

    if ((config_file = fopen(id->config_file, "rt")) == NULL)
	return 2;

    bufsize = id->desc_length + 1;
    if (id->symbol) {
	offset = strlen(id->name) + 10;
	bufsize += offset;
    }
    else
	offset = 0;

    (*buffer) = malloc(bufsize);

    if (id->symbol)
	sprintf(*buffer, "\nCONFIG_%s\n\n", id->name);

    fseek(config_file, id->desc_start, SEEK_SET);
    fread((*buffer) + offset, sizeof(char), id->desc_length, config_file);
    fclose(config_file);
    (*buffer)[bufsize - 1] = '\n';

    return bufsize;
}

