/*
 * KernelConf - A Linux Kernel Configuration System
 *
 * Distributed under GNU General Public Lisence
 *
 * Copyright (C) 2002 by Anuradha Ratnaweera
 */

#include <ctype.h>
#include <malloc.h>

/*
 * char *string_trim(char *str)
 *
 * Removes leading and trailing whitespaces from STR
 */
char *string_trim(char *str)
{
    int end_ptr;

    while ((*str) && isspace(*str))
	str++;
    end_ptr = strlen(str);
    while (end_ptr && isspace(str[end_ptr - 1]))
	end_ptr--;
    str[end_ptr] = 0;

    return str;
}

/*
 * char *string_duplicate(char *str)
 *
 * Returns a copy of STR in malloc'd space
 */
char *string_duplicate(char *str)
{
    char *s;

    s = (char*)malloc(sizeof(char) * (strlen(str) + 1));
    strcpy(s, str);
    return s;
}

